felix-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Richard S. Hall" <he...@ungoverned.org>
Subject Re: Bundle resolving // obr:info result: "unknown bundle"
Date Wed, 22 Feb 2012 14:31:20 GMT
On 2/22/12 06:25 , Sandro Boehme wrote:
> Hi Felix,
>
> I tried the symbolic link and the bundle id with the same result.
> Please find the screenshot here www.wingsuit.de/screenshot.png.
> Thanks!

First, it is symbolic "name", not "link". :-)

It looks like you need to specify "bundle-version", not "version" in 
your Require-Bundle.

Also, I'm not sure why you are doing "info"...that is an OBR command and 
will look in repositories for your bundle. What you really want to do is 
either "headers 112" or "inspect cap osgi.wiring.bundle 112"...

-> richard

>
> Best,
>
> Sandro
>
> -------- Original-Nachricht --------
>> Datum: Wed, 22 Feb 2012 10:38:36 +0000
>> Von: Felix Meschberger<fmeschbe@adobe.com>
>> An: "users@felix.apache.org"<users@felix.apache.org>
>> Betreff: Re: Bundle resolving // obr:info result: "unknown bundle"
>> Hi Sandro,
>>
>> This list has no attachments...
>>
>> Am 22.02.2012 um 09:10 schrieb Sandro Boehme:
>>
>>> Hello,
>>>
>>> for simplicity my bundle has a require-bundle dependency to
>>> com.springsource.org.apache.taglibs.standard;version="[1.1.2,1.1.2]".
>>> In the screenshot you see that "Apache Standard Tag Libraries (1.1.2)"
>>> is active. Still, trying to start my bundle (109 - jcrbrowser) leads to
>>> "missing...com.springsource.org.apache.taglibs.standard...". Now I tried
>>> to really see if "Apache Standard Tag Libraries (1.1.2)" has the
>>> symbolic link that is needed. So I typed "info Apache Standard Tag
>>> Libraries". But GoGo says: "Unknown bundle and/or version: Apache
>>> Standard Tag Libraries".
>> shouldn't this be something like
>>
>>     info com.springsource.org.apache.taglibs.standard
>>
>> ??
>>
>> Regards
>> Felix
>>
>>> Judging from the error message the info command
>>> is there. It also works for "Apache Felix Gogo Shell Launcher" as you
>>> see in the screenshot.
>>> Do you have an idea whats wrong? Thanks for looking into it!
>>>
>>> Best,
>>>
>>> Sandro
>>>
>>>
>>> ---------------------------------------------------------------------
>>> To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
>>> For additional commands, e-mail: users-help@felix.apache.org
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
>> For additional commands, e-mail: users-help@felix.apache.org
>>

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
For additional commands, e-mail: users-help@felix.apache.org


Mime
View raw message